Upstream information

CVE-2019-15690 at MITRE

Description

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem. When the candidate has been publicized, the details for this candidate will be provided.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entries: 1160471 [RESOLVED / FIXED], 1170441 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1165
SUSE Enterprise Storage 5
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-Storage-5-2020-1165
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • LibVNCServer >= 0.9.10-4.14.1
  • LibVNCServer-devel >= 0.9.10-4.14.1
  • libvncserver0 >= 0.9.10-4.14.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1164
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP1
  • LibVNCServer >= 0.9.10-4.14.1
  • libvncserver0 >= 0.9.10-4.14.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP1-2020-1164
SUSE Linux Enterprise Point of Sale 11 SP3
  • LibVNCServer >= 0.9.1-160.14.1
Patchnames:
sleposp3-LibVNCServer-14355
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1165
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • LibVNCServer >= 0.9.1-160.14.1
Patchnames:
slessp4-LibVNCServer-14355
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-1165
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1165
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1165
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1165
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1165
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1165
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1165
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1165
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1165
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-1165
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1165
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1165
SUSE Linux Enterprise Software Development Kit 12 SP4
  • LibVNCServer >= 0.9.9-17.19.1
  • LibVNCServer-devel >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1165
SUSE Linux Enterprise Software Development Kit 12 SP5
  • LibVNCServer >= 0.9.9-17.19.1
  • LibVNCServer-devel >= 0.9.9-17.19.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1165
SUSE Linux Enterprise Workstation Extension 15 SP1
  • LibVNCServer >= 0.9.10-4.14.1
  • libvncclient0 >= 0.9.10-4.14.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2020-1164
SUSE OpenStack Cloud 7
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1165
SUSE OpenStack Cloud 8
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1165
SUSE OpenStack Cloud Crowbar 8
  • LibVNCServer >= 0.9.9-17.19.1
  • libvncclient0 >= 0.9.9-17.19.1
  • libvncserver0 >= 0.9.9-17.19.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1165
openSUSE Leap 15.1
  • LibVNCServer >= 0.9.10-lp151.7.3.1
  • LibVNCServer-debugsource >= 0.9.10-lp151.7.3.1
  • LibVNCServer-devel >= 0.9.10-lp151.7.3.1
  • libvncclient0 >= 0.9.10-lp151.7.3.1
  • libvncclient0-debuginfo >= 0.9.10-lp151.7.3.1
  • libvncserver0 >= 0.9.10-lp151.7.3.1
  • libvncserver0-debuginfo >= 0.9.10-lp151.7.3.1
Patchnames:
openSUSE-2020-624


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP4 LibVNCServer Released
SUSE Linux Enterprise High Performance Computing 12 SP5 LibVNCServer Affected
SUSE Linux Enterprise Server 11 SP1 LibVNCServer Released
SUSE Linux Enterprise Server 11 SP3 LibVNCServer Released
SUSE Linux Enterprise Server 11 SP4 LTSS LibVNCServer Released
SUSE Linux Enterprise Server 12 SP1 LTSS LibVNCServer Released
SUSE Linux Enterprise Server 12 SP2 BCL LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP2 LTSS LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP3 BCL LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP3 LTSS LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Server 12 SP5 LibVNCServer Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 LibVNCServer Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 LibVNCServer Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 LibVNCServer Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 LibVNCServer Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Software Development Kit 12 SP5 LibVNCServer Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP2 LibVNCServer Released